<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>bitten.build.pythontools</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="bitten-module.html">Package&nbsp;bitten</a> ::
        <a href="bitten.build-module.html">Package&nbsp;build</a> ::
        Module&nbsp;pythontools
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module pythontools</h1><p class="nomargin-top"></p>
Recipe commands for tools commonly used by Python projects.

<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Functions</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#distutils" class="summary-sig-name">distutils</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">setup.py</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">command</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">build</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">options</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">timeout</span>=<span class="summary-sig-default">None</span>)</span><br />
      Execute a <tt class="rst-docutils literal"><span class="pre">distutils</span></tt> command.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#exec_" class="summary-sig-name">exec_</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">module</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">function</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">output</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">args</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">timeout</span>=<span class="summary-sig-default">None</span>)</span><br />
      Execute a Python script.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#pylint" class="summary-sig-name">pylint</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default">None</span>)</span><br />
      Extract data from a <tt class="rst-docutils literal"><span class="pre">pylint</span></tt> run written to a file.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#coverage" class="summary-sig-name">coverage</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">summary</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">coverdir</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">include</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">exclude</span>=<span class="summary-sig-default">None</span>)</span><br />
      Extract data from a <tt class="rst-docutils literal"><span class="pre">coverage.py</span></tt> run.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#trace" class="summary-sig-name">trace</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">summary</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">coverdir</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">include</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">exclude</span>=<span class="summary-sig-default">None</span>)</span><br />
      Extract data from a <tt class="rst-docutils literal"><span class="pre">trace.py</span></tt> run.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#figleaf" class="summary-sig-name">figleaf</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">summary</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">include</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">exclude</span>=<span class="summary-sig-default">None</span>)</span><br />
      Extract data from a <tt class="rst-docutils literal"><span class="pre">Figleaf</span></tt> run.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.pythontools-module.html#unittest" class="summary-sig-name">unittest</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default">None</span>)</span><br />
      Extract data from a unittest results file in XML format.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Variables</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="log"></a><span class="summary-name">log</span> = <code title="logging.getLogger('bitten.build.pythontools')">logging.getLogger('bitten.build.pythontools')</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'bitten.build'"><code class="variable-quote">'</code><code class="variable-string">bitten.build</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Function Details</span></td>
</tr>
</table>
<a name="distutils"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">distutils</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">setup.py</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">command</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">build</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">options</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">timeout</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Execute a <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">distutils</span></tt> command.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - name of the file defining the distutils setup</li>
        <li><strong class="pname"><code>command</code></strong> - the setup command to execute</li>
        <li><strong class="pname"><code>options</code></strong> - additional options to pass to the command</li>
        <li><strong class="pname"><code>timeout</code></strong> - the number of seconds before the external process should
be aborted (has same constraints as CommandLine)</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="exec_"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">exec_</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">module</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">function</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">output</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">args</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">timeout</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  <p>Execute a Python script.</p>
<p>Either the <code class="link">file_</code> or the <code class="link">module</code> parameter must be provided. If
specified using the <code class="link">file_</code> parameter, the file must be inside the project
directory. If specified as a module, the module must either be resolvable
to a file, or the <code class="link">function</code> parameter must be provided</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - name of the script file to execute</li>
        <li><strong class="pname"><code>module</code></strong> - name of the Python module to execute</li>
        <li><strong class="pname"><code>function</code></strong> - name of the Python function to run</li>
        <li><strong class="pname"><code>output</code></strong> - name of the file to which output should be written</li>
        <li><strong class="pname"><code>args</code></strong> - extra arguments to pass to the script</li>
        <li><strong class="pname"><code>timeout</code></strong> - the number of seconds before the external process should
be aborted (has same constraints as CommandLine)</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="pylint"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">pylint</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Extract data from a <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">pylint</span></tt> run written to a file.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - name of the file containing the Pylint output</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="coverage"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">coverage</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">summary</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">coverdir</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">include</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">exclude</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Extract data from a <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">coverage.py</span></tt> run.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>summary</code></strong> - path to the file containing the coverage summary</li>
        <li><strong class="pname"><code>coverdir</code></strong> - name of the directory containing the per-module coverage
details</li>
        <li><strong class="pname"><code>include</code></strong> - patterns of files or directories to include in the report</li>
        <li><strong class="pname"><code>exclude</code></strong> - patterns of files or directories to exclude from the report</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="trace"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">trace</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">summary</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">coverdir</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">include</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">exclude</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Extract data from a <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">trace.py</span></tt> run.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>summary</code></strong> - path to the file containing the coverage summary</li>
        <li><strong class="pname"><code>coverdir</code></strong> - name of the directory containing the per-module coverage
details</li>
        <li><strong class="pname"><code>include</code></strong> - patterns of files or directories to include in the report</li>
        <li><strong class="pname"><code>exclude</code></strong> - patterns of files or directories to exclude from the report</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="figleaf"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">figleaf</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">summary</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">include</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">exclude</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Extract data from a <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">Figleaf</span></tt> run.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>summary</code></strong> - path to the file containing the coverage summary</li>
        <li><strong class="pname"><code>include</code></strong> - patterns of files or directories to include in the report</li>
        <li><strong class="pname"><code>exclude</code></strong> - patterns of files or directories to exclude from the report</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="unittest"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">unittest</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Extract data from a unittest results file in XML format.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - name of the file containing the test results</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:35 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
